Imported Upstream version 2.4.0
[platform/upstream/harfbuzz.git] / test / shaping / data / text-rendering-tests / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 TESTS = tests/AVAR-1.tests tests/CFF-1.tests tests/CFF2-1.tests \
93         tests/CFF-2.tests tests/CMAP-1.tests tests/CMAP-2.tests \
94         tests/CVAR-1.tests tests/CVAR-2.tests tests/GLYF-1.tests \
95         tests/GPOS-1.tests tests/GPOS-2.tests tests/GPOS-3.tests \
96         tests/GPOS-4.tests tests/GPOS-5.tests tests/GSUB-1.tests \
97         tests/GSUB-2.tests tests/GSUB-3.tests tests/GVAR-1.tests \
98         tests/GVAR-2.tests tests/GVAR-3.tests tests/GVAR-4.tests \
99         tests/GVAR-5.tests tests/GVAR-6.tests tests/GVAR-7.tests \
100         tests/GVAR-8.tests tests/GVAR-9.tests tests/HVAR-1.tests \
101         tests/HVAR-2.tests tests/KERN-1.tests tests/KERN-2.tests \
102         tests/MORX-10.tests tests/MORX-11.tests tests/MORX-12.tests \
103         tests/MORX-13.tests tests/MORX-14.tests tests/MORX-16.tests \
104         tests/MORX-17.tests tests/MORX-18.tests tests/MORX-19.tests \
105         tests/MORX-1.tests tests/MORX-20.tests tests/MORX-21.tests \
106         tests/MORX-22.tests tests/MORX-23.tests tests/MORX-24.tests \
107         tests/MORX-25.tests tests/MORX-26.tests tests/MORX-27.tests \
108         tests/MORX-28.tests tests/MORX-29.tests tests/MORX-2.tests \
109         tests/MORX-30.tests tests/MORX-31.tests tests/MORX-32.tests \
110         tests/MORX-33.tests tests/MORX-34.tests tests/MORX-35.tests \
111         tests/MORX-36.tests tests/MORX-37.tests tests/MORX-38.tests \
112         tests/MORX-39.tests tests/MORX-3.tests tests/MORX-40.tests \
113         tests/MORX-41.tests tests/MORX-4.tests tests/MORX-5.tests \
114         tests/MORX-6.tests tests/MORX-7.tests tests/MORX-8.tests \
115         tests/MORX-9.tests tests/SHBALI-3.tests tests/SHKNDA-1.tests \
116         $(am__EXEEXT_1)
117 subdir = test/shaping/data/text-rendering-tests
118 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
119 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_link_flag.m4 \
120         $(top_srcdir)/m4/ax_code_coverage.m4 \
121         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
122         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
123         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
124         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
125 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
126         $(ACLOCAL_M4)
127 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
128 mkinstalldirs = $(install_sh) -d
129 CONFIG_HEADER = $(top_builddir)/config.h
130 CONFIG_CLEAN_FILES =
131 CONFIG_CLEAN_VPATH_FILES =
132 AM_V_P = $(am__v_P_@AM_V@)
133 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
134 am__v_P_0 = false
135 am__v_P_1 = :
136 AM_V_GEN = $(am__v_GEN_@AM_V@)
137 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
138 am__v_GEN_0 = @echo "  GEN     " $@;
139 am__v_GEN_1 = 
140 AM_V_at = $(am__v_at_@AM_V@)
141 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
142 am__v_at_0 = @
143 am__v_at_1 = 
144 SOURCES =
145 DIST_SOURCES =
146 am__can_run_installinfo = \
147   case $$AM_UPDATE_INFO_DIR in \
148     n|no|NO) false;; \
149     *) (install-info --version) >/dev/null 2>&1;; \
150   esac
151 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
152 am__tty_colors_dummy = \
153   mgn= red= grn= lgn= blu= brg= std=; \
154   am__color_tests=no
155 am__tty_colors = { \
156   $(am__tty_colors_dummy); \
157   if test "X$(AM_COLOR_TESTS)" = Xno; then \
158     am__color_tests=no; \
159   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
160     am__color_tests=yes; \
161   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
162     am__color_tests=yes; \
163   fi; \
164   if test $$am__color_tests = yes; then \
165     red='\e[0;31m'; \
166     grn='\e[0;32m'; \
167     lgn='\e[1;32m'; \
168     blu='\e[1;34m'; \
169     mgn='\e[0;35m'; \
170     brg='\e[1m'; \
171     std='\e[m'; \
172   fi; \
173 }
174 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
175 am__vpath_adj = case $$p in \
176     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
177     *) f=$$p;; \
178   esac;
179 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
180 am__install_max = 40
181 am__nobase_strip_setup = \
182   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
183 am__nobase_strip = \
184   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
185 am__nobase_list = $(am__nobase_strip_setup); \
186   for p in $$list; do echo "$$p $$p"; done | \
187   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
188   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
189     if (++n[$$2] == $(am__install_max)) \
190       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
191     END { for (dir in files) print dir, files[dir] }'
192 am__base_list = \
193   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
194   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
195 am__uninstall_files_from_dir = { \
196   test -z "$$files" \
197     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
198     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
199          $(am__cd) "$$dir" && rm -f $$files; }; \
200   }
201 am__recheck_rx = ^[     ]*:recheck:[    ]*
202 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
203 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
204 # A command that, given a newline-separated list of test names on the
205 # standard input, print the name of the tests that are to be re-run
206 # upon "make recheck".
207 am__list_recheck_tests = $(AWK) '{ \
208   recheck = 1; \
209   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
210     { \
211       if (rc < 0) \
212         { \
213           if ((getline line2 < ($$0 ".log")) < 0) \
214             recheck = 0; \
215           break; \
216         } \
217       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
218         { \
219           recheck = 0; \
220           break; \
221         } \
222       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
223         { \
224           break; \
225         } \
226     }; \
227   if (recheck) \
228     print $$0; \
229   close ($$0 ".trs"); \
230   close ($$0 ".log"); \
231 }'
232 # A command that, given a newline-separated list of test names on the
233 # standard input, create the global log from their .trs and .log files.
234 am__create_global_log = $(AWK) ' \
235 function fatal(msg) \
236 { \
237   print "fatal: making $@: " msg | "cat >&2"; \
238   exit 1; \
239 } \
240 function rst_section(header) \
241 { \
242   print header; \
243   len = length(header); \
244   for (i = 1; i <= len; i = i + 1) \
245     printf "="; \
246   printf "\n\n"; \
247 } \
248 { \
249   copy_in_global_log = 1; \
250   global_test_result = "RUN"; \
251   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
252     { \
253       if (rc < 0) \
254          fatal("failed to read from " $$0 ".trs"); \
255       if (line ~ /$(am__global_test_result_rx)/) \
256         { \
257           sub("$(am__global_test_result_rx)", "", line); \
258           sub("[        ]*$$", "", line); \
259           global_test_result = line; \
260         } \
261       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
262         copy_in_global_log = 0; \
263     }; \
264   if (copy_in_global_log) \
265     { \
266       rst_section(global_test_result ": " $$0); \
267       while ((rc = (getline line < ($$0 ".log"))) != 0) \
268       { \
269         if (rc < 0) \
270           fatal("failed to read from " $$0 ".log"); \
271         print line; \
272       }; \
273       printf "\n"; \
274     }; \
275   close ($$0 ".trs"); \
276   close ($$0 ".log"); \
277 }'
278 # Restructured Text title.
279 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
280 # Solaris 10 'make', and several other traditional 'make' implementations,
281 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
282 # by disabling -e (using the XSI extension "set +e") if it's set.
283 am__sh_e_setup = case $$- in *e*) set +e;; esac
284 # Default flags passed to test drivers.
285 am__common_driver_flags = \
286   --color-tests "$$am__color_tests" \
287   --enable-hard-errors "$$am__enable_hard_errors" \
288   --expect-failure "$$am__expect_failure"
289 # To be inserted before the command running the test.  Creates the
290 # directory for the log if needed.  Stores in $dir the directory
291 # containing $f, in $tst the test, in $log the log.  Executes the
292 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
293 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
294 # will run the test scripts (or their associated LOG_COMPILER, if
295 # thy have one).
296 am__check_pre = \
297 $(am__sh_e_setup);                                      \
298 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
299 $(am__tty_colors);                                      \
300 srcdir=$(srcdir); export srcdir;                        \
301 case "$@" in                                            \
302   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
303     *) am__odir=.;;                                     \
304 esac;                                                   \
305 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
306   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
307 if test -f "./$$f"; then dir=./;                        \
308 elif test -f "$$f"; then dir=;                          \
309 else dir="$(srcdir)/"; fi;                              \
310 tst=$$dir$$f; log='$@';                                 \
311 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
312   am__enable_hard_errors=no;                            \
313 else                                                    \
314   am__enable_hard_errors=yes;                           \
315 fi;                                                     \
316 case " $(XFAIL_TESTS) " in                              \
317   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
318     am__expect_failure=yes;;                            \
319   *)                                                    \
320     am__expect_failure=no;;                             \
321 esac;                                                   \
322 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
323 # A shell command to get the names of the tests scripts with any registered
324 # extension removed (i.e., equivalently, the names of the test logs, with
325 # the '.log' extension removed).  The result is saved in the shell variable
326 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
327 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
328 # since that might cause problem with VPATH rewrites for suffix-less tests.
329 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
330 am__set_TESTS_bases = \
331   bases='$(TEST_LOGS)'; \
332   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
333   bases=`echo $$bases`
334 RECHECK_LOGS = $(TEST_LOGS)
335 AM_RECURSIVE_TARGETS = check recheck
336 am__EXEEXT_1 =
337 TEST_SUITE_LOG = test-suite.log
338 am__test_logs1 = $(TESTS:=.log)
339 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
340 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
341 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
342 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
343         $(TESTS_LOG_FLAGS)
344 am__set_b = \
345   case '$@' in \
346     */*) \
347       case '$*' in \
348         */*) b='$*';; \
349           *) b=`echo '$@' | sed 's/\.log$$//'`; \
350        esac;; \
351     *) \
352       b='$*';; \
353   esac
354 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
355         $(top_srcdir)/test-driver COPYING README
356 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
357 ACLOCAL = @ACLOCAL@
358 AMTAR = @AMTAR@
359 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
360 AR = @AR@
361 AUTOCONF = @AUTOCONF@
362 AUTOHEADER = @AUTOHEADER@
363 AUTOMAKE = @AUTOMAKE@
364 AWK = @AWK@
365 CAIRO_CFLAGS = @CAIRO_CFLAGS@
366 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
367 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
368 CAIRO_LIBS = @CAIRO_LIBS@
369 CC = @CC@
370 CCDEPMODE = @CCDEPMODE@
371 CFLAGS = @CFLAGS@
372 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
373 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
374 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
375 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
376 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
377 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
378 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
379 CORETEXT_LIBS = @CORETEXT_LIBS@
380 CPP = @CPP@
381 CPPFLAGS = @CPPFLAGS@
382 CXX = @CXX@
383 CXXCPP = @CXXCPP@
384 CXXDEPMODE = @CXXDEPMODE@
385 CXXFLAGS = @CXXFLAGS@
386 CYGPATH_W = @CYGPATH_W@
387 DEFS = @DEFS@
388 DEPDIR = @DEPDIR@
389 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
390 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
391 DLLTOOL = @DLLTOOL@
392 DSYMUTIL = @DSYMUTIL@
393 DUMPBIN = @DUMPBIN@
394 ECHO_C = @ECHO_C@
395 ECHO_N = @ECHO_N@
396 ECHO_T = @ECHO_T@
397 EGREP = @EGREP@
398 EXEEXT = @EXEEXT@
399 FGREP = @FGREP@
400 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
401 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
402 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
403 FREETYPE_DEPS = @FREETYPE_DEPS@
404 FREETYPE_LIBS = @FREETYPE_LIBS@
405 GCOV = @GCOV@
406 GENHTML = @GENHTML@
407 GIT = @GIT@
408 GLIB_CFLAGS = @GLIB_CFLAGS@
409 GLIB_DEPS = @GLIB_DEPS@
410 GLIB_LIBS = @GLIB_LIBS@
411 GLIB_MKENUMS = @GLIB_MKENUMS@
412 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
413 GOBJECT_LIBS = @GOBJECT_LIBS@
414 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
415 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
416 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
417 GREP = @GREP@
418 GTKDOC_CHECK = @GTKDOC_CHECK@
419 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
420 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
421 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
422 GTKDOC_MKPDF = @GTKDOC_MKPDF@
423 GTKDOC_REBASE = @GTKDOC_REBASE@
424 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
425 HB_VERSION = @HB_VERSION@
426 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
427 HB_VERSION_MICRO = @HB_VERSION_MICRO@
428 HB_VERSION_MINOR = @HB_VERSION_MINOR@
429 HTML_DIR = @HTML_DIR@
430 ICU_CFLAGS = @ICU_CFLAGS@
431 ICU_CONFIG = @ICU_CONFIG@
432 ICU_LIBS = @ICU_LIBS@
433 INSTALL = @INSTALL@
434 INSTALL_DATA = @INSTALL_DATA@
435 INSTALL_PROGRAM = @INSTALL_PROGRAM@
436 INSTALL_SCRIPT = @INSTALL_SCRIPT@
437 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
438 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
439 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
440 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
441 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
442 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
443 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
444 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
445 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
446 LCOV = @LCOV@
447 LD = @LD@
448 LDFLAGS = @LDFLAGS@
449 LIBOBJS = @LIBOBJS@
450 LIBS = @LIBS@
451 LIBTOOL = @LIBTOOL@
452 LIPO = @LIPO@
453 LN_S = @LN_S@
454 LTLIBOBJS = @LTLIBOBJS@
455 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
456 MAKEINFO = @MAKEINFO@
457 MANIFEST_TOOL = @MANIFEST_TOOL@
458 MKDIR_P = @MKDIR_P@
459 NM = @NM@
460 NMEDIT = @NMEDIT@
461 OBJDUMP = @OBJDUMP@
462 OBJEXT = @OBJEXT@
463 OTOOL = @OTOOL@
464 OTOOL64 = @OTOOL64@
465 PACKAGE = @PACKAGE@
466 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
467 PACKAGE_NAME = @PACKAGE_NAME@
468 PACKAGE_STRING = @PACKAGE_STRING@
469 PACKAGE_TARNAME = @PACKAGE_TARNAME@
470 PACKAGE_URL = @PACKAGE_URL@
471 PACKAGE_VERSION = @PACKAGE_VERSION@
472 PATH_SEPARATOR = @PATH_SEPARATOR@
473 PKG_CONFIG = @PKG_CONFIG@
474 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
475 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
476 PTHREAD_CC = @PTHREAD_CC@
477 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
478 PTHREAD_LIBS = @PTHREAD_LIBS@
479 RAGEL = @RAGEL@
480 RANLIB = @RANLIB@
481 SED = @SED@
482 SET_MAKE = @SET_MAKE@
483 SHELL = @SHELL@
484 STRIP = @STRIP@
485 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
486 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
487 VERSION = @VERSION@
488 abs_builddir = @abs_builddir@
489 abs_srcdir = @abs_srcdir@
490 abs_top_builddir = @abs_top_builddir@
491 abs_top_srcdir = @abs_top_srcdir@
492 ac_ct_AR = @ac_ct_AR@
493 ac_ct_CC = @ac_ct_CC@
494 ac_ct_CXX = @ac_ct_CXX@
495 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
496 am__include = @am__include@
497 am__leading_dot = @am__leading_dot@
498 am__quote = @am__quote@
499 am__tar = @am__tar@
500 am__untar = @am__untar@
501 ax_pthread_config = @ax_pthread_config@
502 bindir = @bindir@
503 build = @build@
504 build_alias = @build_alias@
505 build_cpu = @build_cpu@
506 build_os = @build_os@
507 build_vendor = @build_vendor@
508 builddir = @builddir@
509 datadir = @datadir@
510 datarootdir = @datarootdir@
511 docdir = @docdir@
512 dvidir = @dvidir@
513 exec_prefix = @exec_prefix@
514 have_gobject = @have_gobject@
515 host = @host@
516 host_alias = @host_alias@
517 host_cpu = @host_cpu@
518 host_os = @host_os@
519 host_vendor = @host_vendor@
520 htmldir = @htmldir@
521 includedir = @includedir@
522 infodir = @infodir@
523 install_sh = @install_sh@
524 libdir = @libdir@
525 libexecdir = @libexecdir@
526 localedir = @localedir@
527 localstatedir = @localstatedir@
528 mandir = @mandir@
529 mkdir_p = @mkdir_p@
530 oldincludedir = @oldincludedir@
531 pdfdir = @pdfdir@
532 prefix = @prefix@
533 program_transform_name = @program_transform_name@
534 psdir = @psdir@
535 sbindir = @sbindir@
536 sharedstatedir = @sharedstatedir@
537 srcdir = @srcdir@
538 sysconfdir = @sysconfdir@
539 target_alias = @target_alias@
540 top_build_prefix = @top_build_prefix@
541 top_builddir = @top_builddir@
542 top_srcdir = @top_srcdir@
543 NULL = 
544 EXTRA_DIST = \
545         README \
546         COPYING \
547         update.sh \
548         extract-tests.py \
549         fonts \
550         $(TESTS) \
551         $(NULL)
552
553 TEST_EXTENSIONS = .tests
554 TESTS_LOG_COMPILER = $(srcdir)/../../run-tests.py $(top_builddir)/util/hb-shape$(EXEEXT)
555 DISBALED_TESTS = \
556         tests/CMAP-3.tests \
557         tests/MORX-31.tests \
558         tests/MORX-41.tests \
559         tests/SHARAN-1.tests \
560         tests/SHBALI-1.tests \
561         tests/SHBALI-2.tests \
562         tests/SHKNDA-2.tests \
563         tests/SHKNDA-3.tests \
564         $(NULL)
565
566 all: all-am
567
568 .SUFFIXES:
569 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
570 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
571         @for dep in $?; do \
572           case '$(am__configure_deps)' in \
573             *$$dep*) \
574               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
575                 && { if test -f $@; then exit 0; else break; fi; }; \
576               exit 1;; \
577           esac; \
578         done; \
579         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/shaping/data/text-rendering-tests/Makefile'; \
580         $(am__cd) $(top_srcdir) && \
581           $(AUTOMAKE) --gnits test/shaping/data/text-rendering-tests/Makefile
582 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
583         @case '$?' in \
584           *config.status*) \
585             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
586           *) \
587             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
588             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
589         esac;
590 $(srcdir)/Makefile.sources $(am__empty):
591
592 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
593         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
594
595 $(top_srcdir)/configure:  $(am__configure_deps)
596         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
597 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
598         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
599 $(am__aclocal_m4_deps):
600
601 mostlyclean-libtool:
602         -rm -f *.lo
603
604 clean-libtool:
605         -rm -rf .libs _libs
606 tags TAGS:
607
608 ctags CTAGS:
609
610 cscope cscopelist:
611
612
613 # Recover from deleted '.trs' file; this should ensure that
614 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
615 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
616 # to avoid problems with "make -n".
617 .log.trs:
618         rm -f $< $@
619         $(MAKE) $(AM_MAKEFLAGS) $<
620
621 # Leading 'am--fnord' is there to ensure the list of targets does not
622 # expand to empty, as could happen e.g. with make check TESTS=''.
623 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
624 am--force-recheck:
625         @:
626
627 $(TEST_SUITE_LOG): $(TEST_LOGS)
628         @$(am__set_TESTS_bases); \
629         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
630         redo_bases=`for i in $$bases; do \
631                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
632                     done`; \
633         if test -n "$$redo_bases"; then \
634           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
635           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
636           if $(am__make_dryrun); then :; else \
637             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
638           fi; \
639         fi; \
640         if test -n "$$am__remaking_logs"; then \
641           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
642                "recursion detected" >&2; \
643         elif test -n "$$redo_logs"; then \
644           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
645         fi; \
646         if $(am__make_dryrun); then :; else \
647           st=0;  \
648           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
649           for i in $$redo_bases; do \
650             test -f $$i.trs && test -r $$i.trs \
651               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
652             test -f $$i.log && test -r $$i.log \
653               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
654           done; \
655           test $$st -eq 0 || exit 1; \
656         fi
657         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
658         ws='[   ]'; \
659         results=`for b in $$bases; do echo $$b.trs; done`; \
660         test -n "$$results" || results=/dev/null; \
661         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
662         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
663         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
664         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
665         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
666         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
667         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
668         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
669           success=true; \
670         else \
671           success=false; \
672         fi; \
673         br='==================='; br=$$br$$br$$br$$br; \
674         result_count () \
675         { \
676             if test x"$$1" = x"--maybe-color"; then \
677               maybe_colorize=yes; \
678             elif test x"$$1" = x"--no-color"; then \
679               maybe_colorize=no; \
680             else \
681               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
682             fi; \
683             shift; \
684             desc=$$1 count=$$2; \
685             if test $$maybe_colorize = yes && test $$count -gt 0; then \
686               color_start=$$3 color_end=$$std; \
687             else \
688               color_start= color_end=; \
689             fi; \
690             echo "$${color_start}# $$desc $$count$${color_end}"; \
691         }; \
692         create_testsuite_report () \
693         { \
694           result_count $$1 "TOTAL:" $$all   "$$brg"; \
695           result_count $$1 "PASS: " $$pass  "$$grn"; \
696           result_count $$1 "SKIP: " $$skip  "$$blu"; \
697           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
698           result_count $$1 "FAIL: " $$fail  "$$red"; \
699           result_count $$1 "XPASS:" $$xpass "$$red"; \
700           result_count $$1 "ERROR:" $$error "$$mgn"; \
701         }; \
702         {                                                               \
703           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
704             $(am__rst_title);                                           \
705           create_testsuite_report --no-color;                           \
706           echo;                                                         \
707           echo ".. contents:: :depth: 2";                               \
708           echo;                                                         \
709           for b in $$bases; do echo $$b; done                           \
710             | $(am__create_global_log);                                 \
711         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
712         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
713         if $$success; then                                              \
714           col="$$grn";                                                  \
715          else                                                           \
716           col="$$red";                                                  \
717           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
718         fi;                                                             \
719         echo "$${col}$$br$${std}";                                      \
720         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
721         echo "$${col}$$br$${std}";                                      \
722         create_testsuite_report --maybe-color;                          \
723         echo "$$col$$br$$std";                                          \
724         if $$success; then :; else                                      \
725           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
726           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
727             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
728           fi;                                                           \
729           echo "$$col$$br$$std";                                        \
730         fi;                                                             \
731         $$success || exit 1
732
733 check-TESTS: 
734         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
735         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
736         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
737         @set +e; $(am__set_TESTS_bases); \
738         log_list=`for i in $$bases; do echo $$i.log; done`; \
739         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
740         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
741         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
742         exit $$?;
743 recheck: all 
744         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
745         @set +e; $(am__set_TESTS_bases); \
746         bases=`for i in $$bases; do echo $$i; done \
747                  | $(am__list_recheck_tests)` || exit 1; \
748         log_list=`for i in $$bases; do echo $$i.log; done`; \
749         log_list=`echo $$log_list`; \
750         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
751                 am__force_recheck=am--force-recheck \
752                 TEST_LOGS="$$log_list"; \
753         exit $$?
754 .tests.log:
755         @p='$<'; \
756         $(am__set_b); \
757         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
758         --log-file $$b.log --trs-file $$b.trs \
759         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
760         "$$tst" $(AM_TESTS_FD_REDIRECT)
761 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
762 @am__EXEEXT_TRUE@       @p='$<'; \
763 @am__EXEEXT_TRUE@       $(am__set_b); \
764 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
765 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
766 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
767 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
768
769 distdir: $(BUILT_SOURCES)
770         $(MAKE) $(AM_MAKEFLAGS) distdir-am
771
772 distdir-am: $(DISTFILES)
773         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
774         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
775         list='$(DISTFILES)'; \
776           dist_files=`for file in $$list; do echo $$file; done | \
777           sed -e "s|^$$srcdirstrip/||;t" \
778               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
779         case $$dist_files in \
780           */*) $(MKDIR_P) `echo "$$dist_files" | \
781                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
782                            sort -u` ;; \
783         esac; \
784         for file in $$dist_files; do \
785           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
786           if test -d $$d/$$file; then \
787             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
788             if test -d "$(distdir)/$$file"; then \
789               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
790             fi; \
791             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
792               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
793               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
794             fi; \
795             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
796           else \
797             test -f "$(distdir)/$$file" \
798             || cp -p $$d/$$file "$(distdir)/$$file" \
799             || exit 1; \
800           fi; \
801         done
802 check-am: all-am
803         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
804 check: check-am
805 all-am: Makefile
806 installdirs:
807 install: install-am
808 install-exec: install-exec-am
809 install-data: install-data-am
810 uninstall: uninstall-am
811
812 install-am: all-am
813         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
814
815 installcheck: installcheck-am
816 install-strip:
817         if test -z '$(STRIP)'; then \
818           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
819             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
820               install; \
821         else \
822           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
823             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
824             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
825         fi
826 mostlyclean-generic:
827         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
828         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
829         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
830
831 clean-generic:
832
833 distclean-generic:
834         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
835         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
836
837 maintainer-clean-generic:
838         @echo "This command is intended for maintainers to use"
839         @echo "it deletes files that may require special tools to rebuild."
840 clean: clean-am
841
842 clean-am: clean-generic clean-libtool mostlyclean-am
843
844 distclean: distclean-am
845         -rm -f Makefile
846 distclean-am: clean-am distclean-generic
847
848 dvi: dvi-am
849
850 dvi-am:
851
852 html: html-am
853
854 html-am:
855
856 info: info-am
857
858 info-am:
859
860 install-data-am:
861
862 install-dvi: install-dvi-am
863
864 install-dvi-am:
865
866 install-exec-am:
867
868 install-html: install-html-am
869
870 install-html-am:
871
872 install-info: install-info-am
873
874 install-info-am:
875
876 install-man:
877
878 install-pdf: install-pdf-am
879
880 install-pdf-am:
881
882 install-ps: install-ps-am
883
884 install-ps-am:
885
886 installcheck-am:
887
888 maintainer-clean: maintainer-clean-am
889         -rm -f Makefile
890 maintainer-clean-am: distclean-am maintainer-clean-generic
891
892 mostlyclean: mostlyclean-am
893
894 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
895
896 pdf: pdf-am
897
898 pdf-am:
899
900 ps: ps-am
901
902 ps-am:
903
904 uninstall-am:
905
906 .MAKE: check-am install-am install-strip
907
908 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
909         clean-libtool cscopelist-am ctags-am distclean \
910         distclean-generic distclean-libtool distdir dvi dvi-am html \
911         html-am info info-am install install-am install-data \
912         install-data-am install-dvi install-dvi-am install-exec \
913         install-exec-am install-html install-html-am install-info \
914         install-info-am install-man install-pdf install-pdf-am \
915         install-ps install-ps-am install-strip installcheck \
916         installcheck-am installdirs maintainer-clean \
917         maintainer-clean-generic mostlyclean mostlyclean-generic \
918         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
919         uninstall uninstall-am
920
921 .PRECIOUS: Makefile
922
923
924 # Convenience targets:
925 lib:
926         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
927
928 update:
929         (cd $(srcdir) && ./update.sh)
930
931 -include $(top_srcdir)/git.mk
932
933 # Tell versions [3.59,3.63) of GNU make to not export all variables.
934 # Otherwise a system limit (for SysV at least) may be exceeded.
935 .NOEXPORT: